Subject: Make InstallTool more comforable to use
Description

The InstallTool/All Configuration now has a very long list of options.
Users have to scroll down very far to submit their changes.
Some tabs and a submit-button at the top would make the InstallTool.
The tabs could list the main topics ot the options:
GFX FE BE and so on.

Related issues:
duplicates Core - Bug # 49188: Install tool: Better UX for fould out sections Resolved 2013-06-24 2013-06-24

History
#1 - 2012-12-14 15:33 - Tobias Liebig
- Category set to Install Tool
- Complexity set to easy

Actually I like having all options in a long list (e.g. I can CMD-F search, if i'm not sure how a certain configuration is called).

However, you're totally right about the submit button.
Maybe an JS-driven, always-visible, fixed/scrolling-with button on the right hand side?

#2 - 2012-12-15 02:38 - Ingo Renner

there have been other suggestions too already. For example, right now the settings actually are categorized already. So it would be logical to have
them collapse using an accordion for easy overview. Then have a button to unfold all accordion layers to be able to do CMD-F. Also, having a search
box above the accordion to search all options seems to be a possible option - like the way you can search for DHCP in OS X's system settings' main
menu - it will the highlight the network settings.

#3 - 2012-12-19 20:55 - Jigal van Hemert
- Status changed from New to Accepted

#4 - 2013-01-11 15:04 - Robert Wildling

A static left menue that does not scroll upwards and include the update button would already do the magic. Please don't add too many fancy feature -
an extra search is really NOT necessary since the browers' functions do a really fine job! TYPO3 v6 is a bit a step towards simplicity again - let's stick
to that route!

#5 - 2013-07-30 14:08 - Wouter Wolters
I added a related ticket, in TYPO3 6.2 this ia already improved but needs some more love regarding UX.

#6 - 2013-09-11 20:30 - Markus Klein
- Status changed from Accepted to Resolved

Applied in changeset commit:a0f292cfc3fd322786cbf4f62bc7416787c66a7a.
